# Uses of Interface
org.eclipse.team.core.ICache

Packages that use ICache
Package
Description
org.eclipse.team.core
Application programming interfaces for defining and working with repository providers.
org.eclipse.team.core.mapping
Application programming interfaces for working with resource mappings.
org.eclipse.team.core.mapping.provider
Application programming interfaces for working with resource mappings.

## Uses of ICache in org.eclipse.team.core

Methods in org.eclipse.team.core with parameters of type ICache
Modifier and Type
Method
Description
`void`
ICacheListener.`cacheDisposed(ICache cache)`
The given cache has been disposed.

## Uses of ICache in org.eclipse.team.core.mapping

Methods in org.eclipse.team.core.mapping that return ICache
Modifier and Type
Method
Description
`ICache`
ISynchronizationContext.`getCache()`
Return the cache associated with this synchronization context.

## Uses of ICache in org.eclipse.team.core.mapping.provider

Methods in org.eclipse.team.core.mapping.provider that return ICache
Modifier and Type
Method
Description
`ICache`
SynchronizationContext.`getCache()`